subsetting {CALIB} | R Documentation

## Subset of RGList_CALIB, SpikeList or ParameterList object

### Description

Exact a subset of an RGList_CALIB, SpikeList or ParameterList object.

### Usage

     ## S3 method for class 'RGList_CALIB':
     object[i, j, ...]

### Arguments

`object` | an object of class `RGList_CALIB` or `SpikeList`.
`i,j` | subscripts. `i` is the subscripts of the spots and `j` is the subscripts of the arrays.
`...` | not used

### Details

`i`,`j` may take any values acceptable for the matrix components of `object`. see the `exact` in the base package for more details.

### Value

An object of the same class as `object` containing the data with specified subset of spots and arrays.

### Author(s)

Hui Zhao

### References

`subsetting` in limma package

### See Also

`exact` in the base package

`subsetting` in the limma package

### Examples

    # for RGList_CALIB
    R <- G <- matrix(1:8,4,2)
    rownames(R) <- rownames(G) <- c("g1","g2","g3","g4")
    colnames(R) <- colnames(G) <- c("a1","a2")
    RG <- new("RGList_CALIB",list(R=R,G=G))

    RG[1:2,]
    RG[,1:2]
    RG[1:2,1:2]

[Package CALIB version 1.10.0 Index]